Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(162)

Issue 2593643002: Clear active tree scopes on StyleEngine::didDetach(). (Closed)

Created:
1 year, 6 months ago by rune
Modified:
1 year, 6 months ago
Reviewers:
meade_UTC10, esprehn, sof
CC:
blink-reviews, blink-reviews-dom_chromium.org, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Clear active tree scopes on StyleEngine::didDetach(). clearResolver() is not only called on didDetach(). Make it private and name it clearResolvers to reflect that it clears scoped resolvers as well. The comments related to style resolver reconstructruction is removed as that does not happen anymore. Clearing m_treeBoundaryCrossingScopes is moved into didDetach() which was a more natural place. Clear active and dirty tree scopes in didDetach to not unnecessarily hang on to any memory associated with them. These changes were done investigating issue 675533, but won't necessarily fix anything for that issue. BUG=567021, 675533 Committed: https://crrev.com/b0f03812c4f8ca50a0cc07caaca0c8eafbb2862a Cr-Commit-Position: refs/heads/master@{#439973}

Patch Set 1 #

Patch Set 2 : Rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -17 lines) Patch
M third_party/WebKit/Source/core/dom/StyleEngine.h View 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/StyleEngine.cpp View 1 2 chunks +5 lines, -16 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 18 (10 generated)
rune
ptal
1 year, 6 months ago (2016-12-20 15:03:25 UTC) #4
sof
If these objects will already become garbage at the same time (==same GC) as the ...
1 year, 6 months ago (2016-12-20 19:04:10 UTC) #7
rune
On 2016/12/20 19:04:10, sof wrote: > If these objects will already become garbage at the ...
1 year, 6 months ago (2016-12-20 21:04:31 UTC) #8
esprehn
lgtm
1 year, 6 months ago (2016-12-20 21:51:08 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2593643002/20001
1 year, 6 months ago (2016-12-21 00:02:37 UTC) #12
commit-bot: I haz the power
Committed patchset #2 (id:20001)
1 year, 6 months ago (2016-12-21 01:55:47 UTC) #15
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/b0f03812c4f8ca50a0cc07caaca0c8eafbb2862a Cr-Commit-Position: refs/heads/master@{#439973}
1 year, 6 months ago (2016-12-21 01:58:17 UTC) #17
sof
1 year, 6 months ago (2016-12-21 07:25:33 UTC) #18
Message was sent while issue was closed.
On 2016/12/20 21:04:31, rune wrote:
> On 2016/12/20 19:04:10, sof wrote:
> > If these objects will already become garbage at the same time (==same GC) as
> the
> > StyleEngine, then there won't be gains wrt allocation reuse here. If that's
> the
> > main motivation.
> 
> I think they can be garbage collected before for the same reason I gave in
> https://codereview.chromium.org/2589243002#msg11

makes sense, StyleEngine would then live on in a detached state.

Powered by Google App Engine
This is Rietveld 408576698